package com.yihu.hos.resource.viewresult;

/**
 * Created by chenweida on 2015/12/21.
 */
public class RsResourceDeatilModel {
    private String id;
    private String name;
    private String code;
    private String type;//1 事实表/ 2统计表
    private String serviceRate;
    private String dataSupportType;//1 拉模式/ 2推模式
    private String category;
    private String valid;
    private String datasetCode;//数据集ID
    private String remark;

    public String getValid() {
        return valid;
    }

    public void setValid(String valid) {
        this.valid = valid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getDatasetCode() {
        return datasetCode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setDatasetCode(String datasetCode) {
        this.datasetCode = datasetCode;
    }

    public String getServiceRate() {
        return serviceRate;
    }

    public void setServiceRate(String serviceRate) {
        this.serviceRate = serviceRate;
    }

    public String getDataSupportType() {
        return dataSupportType;
    }

    public void setDataSupportType(String dataSupportType) {
        this.dataSupportType = dataSupportType;
    }
}
